Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class Config

    java.lang.Object
      org.neo4j.kernel.Config

    public class Config

extends Object

A non-standard configuration object.

Field Summary
`static String` | `ALLOW_STORE_UPGRADE`
`static String` | `ARRAY_BLOCK_SIZE`
`static String` | `ARRAY_PROPERTY_STORE_MMAP_SIZE`
`static String` | `BACKUP_SLAVE`
`static String` | `CACHE_TYPE`
`static String` | `DEFAULT_DATA_SOURCE_NAME`
`static String` | `DUMP_CONFIGURATION`
`static String` | `ENABLE_ONLINE_BACKUP`
`static String` | `ENABLE_REMOTE_SHELL`
`static String` | `KEEP_LOGICAL_LOGS`
`static String` | `LOGICAL_LOG`
`static String` | `NEO_STORE`
`static String` | `NODE_STORE_MMAP_SIZE`
`static String` | `PROPERTY_INDEX_KEY_STORE_MMAP_SIZE`
`static String` | `PROPERTY_INDEX_STORE_MMAP_SIZE`
`static String` | `PROPERTY_STORE_MMAP_SIZE`
`static String` | `READ_ONLY`
`static String` | `REBUILD_IDGENERATORS_FAST`
`static String` | `RELATIONSHIP_STORE_MMAP_SIZE`
`static String` | `STORAGE_DIRECTORY`
`static String` | `STRING_BLOCK_SIZE`
`static String` | `STRING_PROPERTY_STORE_MMAP_SIZE`
`static String` | `TXMANAGER_IMPLEMENTATION`
`static String` | `USE_MEMORY_MAPPED_BUFFERS`

Method Summary
`static void` | `dumpConfiguration(Map<?,?> config)`
`static Map<Object,Object>` | `getDefaultParams()`
`static Object` | `getFromConfig(Map<?,?> config, Object key, Object defaultValue)`
`org.neo4j.kernel.impl.core.GraphDbModule` | `getGraphDbModule()`
`IdGeneratorFactory` | `getIdGeneratorFactory()`
`org.neo4j.kernel.impl.persistence.IdGeneratorModule` | `getIdGeneratorModule()`
`org.neo4j.kernel.impl.index.IndexStore` | `getIndexStore()`
`org.neo4j.kernel.impl.transaction.LockManager` | `getLockManager()`
`org.neo4j.kernel.impl.core.LockReleaser` | `getLockReleaser()`
`Map<Object,Object>` | `getParams()`
`org.neo4j.kernel.impl.persistence.PersistenceModule` | `getPersistenceModule()`
`org.neo4j.kernel.impl.core.RelationshipTypeCreator` | `getRelationshipTypeCreator()`
`org.neo4j.kernel.impl.core.RelationshipTypeHolder` | `getRelationshipTypeHolder()`
`org.neo4j.kernel.impl.transaction.TxModule` | `getTxModule()`
`boolean` | `isReadOnly()`
`static boolean` | `osIsWindows()`
`static Map<String,String>` | `parseMapFromConfigValue(String name, String configValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DATA_SOURCE_NAME

    public static final String DEFAULT_DATA_SOURCE_NAME

See Also:
  Constant Field Values

### USE_MEMORY_MAPPED_BUFFERS

    public static final String USE_MEMORY_MAPPED_BUFFERS

See Also:
  Constant Field Values

### DUMP_CONFIGURATION

    public static final String DUMP_CONFIGURATION

See Also:
  Constant Field Values

### KEEP_LOGICAL_LOGS

    public static final String KEEP_LOGICAL_LOGS

See Also:
  Constant Field Values

### ENABLE_REMOTE_SHELL

    public static final String ENABLE_REMOTE_SHELL

See Also:
  Constant Field Values

### ENABLE_ONLINE_BACKUP

    public static final String ENABLE_ONLINE_BACKUP

See Also:
  Constant Field Values

### BACKUP_SLAVE

    public static final String BACKUP_SLAVE

See Also:
  Constant Field Values

### READ_ONLY

    public static final String READ_ONLY

See Also:
  Constant Field Values

### STORAGE_DIRECTORY

    public static final String STORAGE_DIRECTORY

See Also:
  Constant Field Values

### REBUILD_IDGENERATORS_FAST

    public static final String REBUILD_IDGENERATORS_FAST

See Also:
  Constant Field Values

### NODE_STORE_MMAP_SIZE

    public static final String NODE_STORE_MMAP_SIZE

See Also:
  Constant Field Values

### ARRAY_PROPERTY_STORE_MMAP_SIZE

    public static final String ARRAY_PROPERTY_STORE_MMAP_SIZE

See Also:
  Constant Field Values

### PROPERTY_INDEX_KEY_STORE_MMAP_SIZE

    public static final String PROPERTY_INDEX_KEY_STORE_MMAP_SIZE

See Also:
  Constant Field Values

### PROPERTY_INDEX_STORE_MMAP_SIZE

    public static final String PROPERTY_INDEX_STORE_MMAP_SIZE

See Also:
  Constant Field Values

### PROPERTY_STORE_MMAP_SIZE

    public static final String PROPERTY_STORE_MMAP_SIZE

See Also:
  Constant Field Values

### STRING_PROPERTY_STORE_MMAP_SIZE

    public static final String STRING_PROPERTY_STORE_MMAP_SIZE

See Also:
  Constant Field Values

### RELATIONSHIP_STORE_MMAP_SIZE

    public static final String RELATIONSHIP_STORE_MMAP_SIZE

See Also:
  Constant Field Values

### LOGICAL_LOG

    public static final String LOGICAL_LOG

See Also:
  Constant Field Values

### NEO_STORE

    public static final String NEO_STORE

See Also:
  Constant Field Values

### CACHE_TYPE

    public static final String CACHE_TYPE

See Also:
  Constant Field Values

### TXMANAGER_IMPLEMENTATION

    public static final String TXMANAGER_IMPLEMENTATION

See Also:
  Constant Field Values

### ALLOW_STORE_UPGRADE

    public static final String ALLOW_STORE_UPGRADE

See Also:
  Constant Field Values

### STRING_BLOCK_SIZE

    public static final String STRING_BLOCK_SIZE

See Also:
  Constant Field Values

### ARRAY_BLOCK_SIZE

    public static final String ARRAY_BLOCK_SIZE

See Also:
  Constant Field Values

Method Detail

### getDefaultParams

    public static Map<Object,Object> getDefaultParams()

### osIsWindows

    public static boolean osIsWindows()

### getTxModule

    public org.neo4j.kernel.impl.transaction.TxModule getTxModule()

### getGraphDbModule

    public org.neo4j.kernel.impl.core.GraphDbModule getGraphDbModule()

### getPersistenceModule

    public org.neo4j.kernel.impl.persistence.PersistenceModule getPersistenceModule()

### getIdGeneratorModule

    public org.neo4j.kernel.impl.persistence.IdGeneratorModule getIdGeneratorModule()

### getLockManager

    public org.neo4j.kernel.impl.transaction.LockManager getLockManager()

### getIndexStore

    public org.neo4j.kernel.impl.index.IndexStore getIndexStore()

### getLockReleaser

    public org.neo4j.kernel.impl.core.LockReleaser getLockReleaser()

### getParams

    public Map<Object,Object> getParams()

### isReadOnly

    public boolean isReadOnly()

### getRelationshipTypeCreator

    public org.neo4j.kernel.impl.core.RelationshipTypeCreator getRelationshipTypeCreator()

### getIdGeneratorFactory

    public IdGeneratorFactory getIdGeneratorFactory()

### getRelationshipTypeHolder

    public org.neo4j.kernel.impl.core.RelationshipTypeHolder getRelationshipTypeHolder()

### dumpConfiguration

    public static void dumpConfiguration(Map<?,?> config)

### parseMapFromConfigValue

    public static Map<String,String> parseMapFromConfigValue(String name,
                                                             String configValue)

### getFromConfig

    public static Object getFromConfig(Map<?,?> config,
                                       Object key,
                                       Object defaultValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.